import { J as Json, O as ObjectStorage, L as LogHandlerOptions, a as LogHandler, b as LogLevelAliasType, c as LoggerInterface } from './uuid-28c5f199.js';
export { dM as ArgumentsType, cC as AsyncMutex, cZ as AsyncReturnType, _ as BinInput, d as CRYPTO_DEFAULT_ALG, e as CRYPTO_DEFAULT_DERIVE_ALG, f as CRYPTO_DEFAULT_DERIVE_ITERATIONS, C as CRYPTO_DEFAULT_HASH_ALG, dk as Channel, dj as ChannelMessageEvent, dz as CryptoEncoder, ay as DAY_MS, aX as Day, aA as DayInput, aW as DayInputLegacy, az as DayValue, b1 as DecimalInput, b0 as DecimalValue, dr as DefaultListener, cs as Disposable, cr as Disposer, cq as DisposerFunction, ds as Emitter, dp as EmitterAllHandler, dn as EmitterHandler, dw as Encoder, bu as FilterFunction, dy as JsonEncoder, dq as ListenerSignature, dl as LocalChannel, d7 as LogLevel, d8 as LogLevelAlias, d9 as LogLevelAliasKey, da as LogMessage, d6 as Logger, dd as LoggerConsoleHandler, dc as LoggerContext, db as LoggerContextInterface, di as LoggerMemoryHandler, bv as MapperFunction, e6 as MemStorage, e5 as MemStorageOptions, dC as Message, dA as MessageAction, dG as MessageDefinitions, dH as MessageHub, dB as MessageResult, dE as MessagesDefaultMethods, dF as MessagesMethods, dD as MessagesOptions, cB as Mutex, ea as NestedArray, dx as NoopEncoder, cM as Pool, cG as PoolConfig, cJ as PoolTask, cK as PoolTaskEvents, cH as PoolTaskFn, cF as PoolTaskIdConflictResolution, cI as PoolTaskState, bb as Primitive, cN as Progress, dK as PubSub, dP as RPCFn, dO as RPCOptions, dQ as RPCReturn, au as RenderMessagesOptions, dN as ReturnType, bU as RoundingMode, d0 as SerialQueue, c3 as SortableItem, c$ as TaskEvents, c_ as TaskFn, ae as Uint8ArrayToHexDump, ad as Uint8ArrayToJson, a2 as Uint8ArrayToString, cx as UseDefer, cu as UseDispose, cp as XRX, a0 as _decodeUtf8Polyfill, $ as _encodeUtf8Polyfill, M as arrayAvg, N as arrayBatches, y as arrayEmptyInPlace, w as arrayFilterInPlace, q as arrayFlatten, s as arrayIntersection, B as arrayIsEqual, H as arrayMax, I as arrayMin, o as arrayMinus, G as arrayRandomElement, u as arrayRemoveElement, v as arraySetElement, E as arrayShuffle, F as arrayShuffleForce, D as arrayShuffleInPlace, z as arraySorted, A as arraySortedNumbers, K as arraySum, t as arraySymmetricDifference, x as arrayToggleInPlace, p as arrayUnion, n as arrayUnique, bH as avg, bF as between, cj as cloneJsonObject, ci as cloneObject, bQ as cmp, bP as composeOrderby, P as createArray, dm as createLocalChannelPair, cO as createPromise, dI as createPromiseProxy, l as csvParse, m as csvParseToObjects, k as csvStringify, a$ as dateStringToDays, a_ as day, aD as dayDay, aT as dayDiff, aH as dayFromAny, aJ as dayFromDate, aK as dayFromDateGMT, aO as dayFromParts, aP as dayFromString, aM as dayFromTimestamp, aG as dayFromToday, aV as dayIterator, aC as dayMonth, aQ as dayMonthStart, aS as dayOffset, aU as dayRange, aF as dayToDate, aI as dayToDateGMT, aE as dayToParts, aN as dayToString, aL as dayToTimestamp, aB as dayYear, aR as dayYearStart, d2 as debounce, b2 as decimal, b5 as decimalCentsPart, b3 as decimalFromCents, b4 as decimalToCents, U as decodeBase16, R as decodeBase32, W as decodeBase58, Y as decodeBase62, j as decrypt, b6 as deepEqual, b8 as deepMerge, b7 as deepStripUndefinedInPlace, h as deriveKeyPbkdf2, e1 as detect, g as digest, ch as empty, T as encodeBase16, Q as encodeBase32, V as encodeBase58, X as encodeBase62, cb as encodeQuery, i as encrypt, c5 as endSortWeight, cd as ensureKey, ce as ensureKeyAsync, ab as equalBinary, b9 as escapeHTML, bT as escapeRegExp, Z as estimateSizeForBase, dU as fetchBasic, dV as fetchJson, dZ as fetchOptionsBasicAuth, dX as fetchOptionsFormURLEncoded, dY as fetchOptionsJson, dW as fetchText, ax as fixBrokenUth8String, aY as forEachDay, cm as forTimes, av as formatMessages, e8 as formatMilliseconds, a9 as fromBase64, aa as fromBase64String, ai as fromCamelCase, a6 as fromHex, e0 as getGlobal, d3 as getGlobalContext, dt as getGlobalEmitter, d5 as getGlobalLogger, de as getNamespaceFilterString, d$ as getNavigator, bA as getSecureRandom, bB as getSecureRandomIfPossible, e7 as getTimestamp, d_ as getWindow, dS as httpMethod, cQ as immediate, be as isArray, bl as isBoolean, e2 as isBrowser, bW as isEven, bV as isHalf, bj as isInteger, d4 as isLocalHost, bp as isNotNull, bn as isNull, bm as isNullOrUndefined, bi as isNumber, bc as isObject, bJ as isPrime, bI as isPrimeRX, bd as isPrimitive, cX as isPromise, bf as isRecord, bg as isRecordPlain, bk as isSafeInteger, bh as isString, cU as isTimeout, bo as isUint8Array, bq as isValue, a4 as joinToUint8Array, bt as jsonStringify, bs as jsonStringifySafe, br as jsonStringifySorted, ac as jsonToUint8Array, cg as last, dv as lazyListener, c9 as linkifyPlainText, by as listDistinctUnion, bx as listGroupBy, bz as listOfKey, bw as listQuery, ck as memoize, cl as memoizeAsync, du as messages, c6 as moveSortWeight, eb as noop, bN as objectIsEmpty, bL as objectMap, bM as objectMergeDisposable, dT as parseBasicAuth, e9 as parseDate, dg as parseLogLevel, bO as parseOrderby, cc as parseQuery, e3 as platform, cY as promisify, ex as qid, bC as randomBoolean, bE as randomFloat, bD as randomInt, r as randomUint8Array, co as regExpEscape, cn as regExpString, aw as renderMessages, bY as roundDown, b$ as roundHalfAwayFromZero, c0 as roundHalfDown, c1 as roundHalfEven, b_ as roundHalfOdd, c2 as roundHalfTowardsZero, bZ as roundHalfUp, bX as roundUp, bK as seededRandom, er as setUuidDefaultEncoding, cf as size, cP as sleep, c7 as sortedItems, bR as sortedOrderby, c4 as startSortWeight, aj as stringToBoolean, al as stringToFloat, ak as stringToInteger, a1 as stringToUInt8Array, en as suid, em as suidBytes, ep as suidBytesDate, eo as suidDate, bG as sum, d1 as throttle, cS as timeout, cR as timeoutReached, cT as timoutError, a7 as toBase64, a8 as toBase64Url, at as toBool, af as toCamelCase, ag as toCapitalize, ah as toCapitalizeWords, aq as toFloat, a5 as toHex, ca as toHumanReadableUrl, ar as toInt, as as toString, a3 as toUint8Array, bS as toValidFilename, aZ as today, cV as tryTimeout, ew as uname, ba as unescapeHTML, cE as useAsyncMutex, S as useBase, cw as useDefer, ct as useDispose, cv as useDisposer, cA as useEventListener, e4 as useExitHandler, cz as useInterval, dh as useLevelFilter, dJ as useMessageHub, cD as useMutex, df as useNamespaceFilter, cL as usePool, dL as usePubSub, dR as useRPC, c8 as useSorted, cy as useTimeout, es as uuid, eq as uuid32bit, eg as uuidB32, ed as uuidB62, ec as uuidBytes, et as uuidDecode, ei as uuidDecodeB32, ef as uuidDecodeB62, el as uuidDecodeV4, eu as uuidEncode, eh as uuidEncodeB32, ee as uuidEncodeB62, ek as uuidEncodeV4, ev as uuidIsValid, ej as uuidv4, am as valueToBoolean, ao as valueToFloat, an as valueToInteger, ap as valueToString, cW as waitOn } from './uuid-28c5f199.js';

declare function urlBase64ToUint8Array(base64String: string): Uint8Array | undefined;

declare function gravatarURLByEmail(email: string, defaultURL?: string): string;

interface LocalStorageOptions {
    name: string;
    objectFromString?: (data: string) => any;
    objectToString?: (data: any) => string;
}
declare class LocalStorage<T = Json> implements ObjectStorage<T> {
    private name;
    private prefix;
    private pretty;
    private objectFromString;
    private objectToString;
    constructor(opt: LocalStorageOptions);
    setItem(key: string, value: T): void;
    getItem(key: string): T | undefined;
    removeItem(key: string): void;
    clear(): void;
    allKeys(): string[];
}

declare function LoggerBrowserHandler(opt?: LogHandlerOptions): LogHandler;

declare function LoggerBrowserSetupDebugFactory(opt?: LogHandlerOptions): (name?: string, logLevel?: LogLevelAliasType) => LoggerInterface;
/** @deprecated This output is default for initial use of Logger in browser environments. */
declare function activateConsoleDebug(_opt?: LogHandlerOptions): void;

declare function supportsColors(): boolean;
declare function selectColor(namespace: string): string;

declare function setupBrowserLog(): void;

export { Json, LocalStorage, LocalStorageOptions, LogHandler, LogHandlerOptions, LogLevelAliasType, LoggerBrowserHandler, LoggerBrowserSetupDebugFactory, LoggerInterface, ObjectStorage, activateConsoleDebug, gravatarURLByEmail, selectColor, setupBrowserLog, supportsColors, urlBase64ToUint8Array };
